Bug 1623191 - Need btrfs-progs features available from upstream
Summary: Need btrfs-progs features available from upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-28 16:48 UTC by Rick
Modified: 2018-09-22 19:45 UTC (History)
4 users (show)

Fixed In Version: btrfs-progs-4.17.1-1.fc28 btrfs-progs-4.17.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 16:54:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Rick 2018-08-28 16:48:27 UTC
Description of problem:

Current version lacks full support for zstd compression... even though it's built into the kernel.

Version-Release number of selected component (if applicable):

btrfs-progs-4.11.1-3.fc27.rpm

How reproducible:

Innate

Steps to Reproduce:
1. Observe fc27 version
2. Observe rawhide version
3. compare

Actual results:

Version lacks full zstd capability that was introduced in v4.14

Expected results:

Full capabilty

Additional info:

It'd be nice to use features that have been available for over a year.  I need to benchmark different filesystems and having current support programs, etc., will be crucial to generate meaningful results.

Comment 1 Eric Sandeen 2018-08-28 18:29:39 UTC
In the short term, you can always grab the latest SRPM from rawhide, i.e. https://kojipkgs.fedoraproject.org/packages/btrfs-progs/4.17.1/1.fc29/src/ and rpmbuild --rebuild it.

In the mid term, I can push newer btrfs-progs to f27

In the long term, it'd be best if someone more invested in btrfs would like to maintain this package ;)

Comment 2 Fedora Update System 2018-09-06 12:41:50 UTC
btrfs-progs-4.17.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7234288f31

Comment 3 Fedora Update System 2018-09-06 12:42:00 UTC
btrfs-progs-4.17.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9dba618394

Comment 4 Fedora Update System 2018-09-07 15:18:31 UTC
btrfs-progs-4.17.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9dba618394

Comment 5 Fedora Update System 2018-09-07 17:11:22 UTC
btrfs-progs-4.17.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7234288f31

Comment 6 Fedora Update System 2018-09-11 16:54:39 UTC
btrfs-progs-4.17.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-09-22 19:45:50 UTC
btrfs-progs-4.17.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.